import React from 'react'
import { DocsThemeConfig, useTheme } from 'nextra-theme-docs'
const config: DocsThemeConfig = {
  gitTimestamp: false,
  useNextSeoProps: () => {
    return { titleTemplate: `%s - MiYoVerse` };
  },

  logo: (
    <>
      <span style={{ marginLeft: '.4em', fontWeight: 800 }}>
        MiYoVerse
      </span>
    </>
  ),

  project: {
    link: 'https://git.serenetia.com/AmaneSerenetia/MiYoVerse',
  },
  docsRepositoryBase: 'https://git.serenetia.com/AmaneSerenetia/MiYoVerse',

  footer: {
    text: 'Copyright (c) MiYoVerse | 2024-present',
  },
  //primaryhUe: 100,
  head: function useHead() {
    const description = 
    "for searching information about certain anime game";
    return (
      <>
          <meta httpEquiv='Content-Language' content='en' />
          <meta name='description' content='{description}' />
          <meta name='og:description' content='[description}' />
      </>
    );
  },
}

export default config
